BizKitHub
DocsAPI ReferenceAccount/bff/account/verify-signup-poll
postAccountAdmin BFF

/bff/account/verify-signup-poll

Called every few seconds by the signup success screen so a browser that received the signin token can claim a session once the e-mail is verified on any device. One-shot — the token is invalidated after a successful exchange.

AccountpostBffAccountVerify-signup-poll

Parameters

JSON body

Request body

application/json
pendingSigninTokenstringRequired

Secret handle returned by /bff/account/create-account and stored in the browser.

Length: 24–24

Response schema

1 status code documented

200Success
object | object | object | object
One of 4:
Variant 1
status"ok"Required
Variant 2
status"waiting"Required
Variant 3
status"expired"Required
Variant 4
status"not_found"Required

Response example

application/json
{
  "status": "ok"
}

Request example

POST /bff/account/verify-signup-poll

post
curl -X POST "https://api.bizkithub.com/bff/account/verify-signup-poll" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "pendingSigninToken": "example_pendingSigninToken"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key